Skip to main content
GET
/
api
/
context-source
/
{context_source_id}
/
config
Get Github Configs
curl --request GET \
  --url https://config.heyhumm.ai/api/context-source/{context_source_id}/config \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "repository_url": "<string>",
    "branch": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "include_patterns": "<string>",
    "exclude_patterns": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

context_source_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
repository_url
string
required
branch
string
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
include_patterns
string | null
exclude_patterns
string | null